Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface RegistryObject

All Superinterfaces:
  ExtensibleObject

All Known Subinterfaces:
  Association, AuditableEvent, Classification, ClassificationScheme, Concept, ExternalIdentifier, ExternalLink, ExtrinsicObject, Organization, RegistryEntry, RegistryPackage, Service, ServiceBinding, SpecificationLink, User

public interface RegistryObject
extends ExtensibleObject

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Method Summary
`void` | `addAssociation(Association association)`
`void` | `addAssociations(Collection associations)`
`void` | `addClassification(Classification classification)`
`void` | `addClassifications(Collection classifications)`
`void` | `addExternalIdentifier(ExternalIdentifier externalIdentifier)`
`void` | `addExternalIdentifiers(Collection externalIdentifiers)`
`void` | `addExternalLink(ExternalLink externalLink)`
`void` | `addExternalLinks(Collection externalLinks)`
`Collection` | `getAssociatedObjects()`
`Collection` | `getAssociations()`
`Collection` | `getAuditTrail()`
`Collection` | `getClassifications()`
`InternationalString` | `getDescription()`
`Collection` | `getExternalIdentifiers()`
`Collection` | `getExternalLinks()`
`Key` | `getKey()`
`LifeCycleManager` | `getLifeCycleManager()`
`InternationalString` | `getName()`
`Concept` | `getObjectType()`
`Collection` | `getRegistryPackages()`
`Organization` | `getSubmittingOrganization()`
`void` | `removeAssociation(Association association)`
`void` | `removeAssociations(Collection associations)`
`void` | `removeClassification(Classification classification)`
`void` | `removeClassifications(Collection classifications)`
`void` | `removeExternalIdentifier(ExternalIdentifier externalIdentifier)`
`void` | `removeExternalIdentifiers(Collection externalIdentifiers)`
`void` | `removeExternalLink(ExternalLink externalLink)`
`void` | `removeExternalLinks(Collection externalLinks)`
`void` | `setAssociations(Collection associations)`
`void` | `setClassifications(Collection classifications)`
`void` | `setDescription(InternationalString desc)`
`void` | `setExternalIdentifiers(Collection externalIdentifiers)`
`void` | `setExternalLinks(Collection externalLinks)`
`void` | `setKey(Key key)`
`void` | `setName(InternationalString name)`
`String` | `toXML()`

Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject
`addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

Method Detail

### addAssociation

    public void addAssociation(Association association)
                        throws JAXRException

  Throws:
    `JAXRException`

### addAssociations

    public void addAssociations(Collection associations)
                         throws JAXRException

  Throws:
    `JAXRException`

### addClassification

    public void addClassification(Classification classification)
                           throws JAXRException

  Throws:
    `JAXRException`

### addClassifications

    public void addClassifications(Collection classifications)
                            throws JAXRException

  Throws:
    `JAXRException`

### addExternalIdentifier

    public void addExternalIdentifier(ExternalIdentifier externalIdentifier)
                               throws JAXRException

  Throws:
    `JAXRException`

### addExternalIdentifiers

    public void addExternalIdentifiers(Collection externalIdentifiers)
                                throws JAXRException

  Throws:
    `JAXRException`

### addExternalLink

    public void addExternalLink(ExternalLink externalLink)
                         throws JAXRException

  Throws:
    `JAXRException`

### addExternalLinks

    public void addExternalLinks(Collection externalLinks)
                          throws JAXRException

  Throws:
    `JAXRException`

### getAssociatedObjects

    public Collection getAssociatedObjects()
                                    throws JAXRException

  Throws:
    `JAXRException`

### getAssociations

    public Collection getAssociations()
                               throws JAXRException

  Throws:
    `JAXRException`

### getAuditTrail

    public Collection getAuditTrail()
                             throws JAXRException

  Throws:
    `JAXRException`

### getClassifications

    public Collection getClassifications()
                                  throws JAXRException

  Throws:
    `JAXRException`

### getDescription

    public InternationalString getDescription()
                                       throws JAXRException

  Throws:
    `JAXRException`

### getExternalIdentifiers

    public Collection getExternalIdentifiers()
                                      throws JAXRException

  Throws:
    `JAXRException`

### getExternalLinks

    public Collection getExternalLinks()
                                throws JAXRException

  Throws:
    `JAXRException`

### getKey

    public Key getKey()
               throws JAXRException

  Throws:
    `JAXRException`

### getLifeCycleManager

    public LifeCycleManager getLifeCycleManager()
                                         throws JAXRException

  Throws:
    `JAXRException`

### getName

    public InternationalString getName()
                                throws JAXRException

  Throws:
    `JAXRException`

### getObjectType

    public Concept getObjectType()
                          throws JAXRException

  Throws:
    `JAXRException`

### getRegistryPackages

    public Collection getRegistryPackages()
                                   throws JAXRException

  Throws:
    `JAXRException`

### getSubmittingOrganization

    public Organization getSubmittingOrganization()
                                           throws JAXRException

  Throws:
    `JAXRException`

### removeAssociation

    public void removeAssociation(Association association)
                           throws JAXRException

  Throws:
    `JAXRException`

### removeAssociations

    public void removeAssociations(Collection associations)
                            throws JAXRException

  Throws:
    `JAXRException`

### removeClassification

    public void removeClassification(Classification classification)
                              throws JAXRException

  Throws:
    `JAXRException`

### removeClassifications

    public void removeClassifications(Collection classifications)
                               throws JAXRException

  Throws:
    `JAXRException`

### removeExternalIdentifier

    public void removeExternalIdentifier(ExternalIdentifier externalIdentifier)
                                  throws JAXRException

  Throws:
    `JAXRException`

### removeExternalIdentifiers

    public void removeExternalIdentifiers(Collection externalIdentifiers)
                                   throws JAXRException

  Throws:
    `JAXRException`

### removeExternalLink

    public void removeExternalLink(ExternalLink externalLink)
                            throws JAXRException

  Throws:
    `JAXRException`

### removeExternalLinks

    public void removeExternalLinks(Collection externalLinks)
                             throws JAXRException

  Throws:
    `JAXRException`

### setAssociations

    public void setAssociations(Collection associations)
                         throws JAXRException

  Throws:
    `JAXRException`

### setClassifications

    public void setClassifications(Collection classifications)
                            throws JAXRException

  Throws:
    `JAXRException`

### setDescription

    public void setDescription(InternationalString desc)
                        throws JAXRException

  Throws:
    `JAXRException`

### setExternalIdentifiers

    public void setExternalIdentifiers(Collection externalIdentifiers)
                                throws JAXRException

  Throws:
    `JAXRException`

### setExternalLinks

    public void setExternalLinks(Collection externalLinks)
                          throws JAXRException

  Throws:
    `JAXRException`

### setKey

    public void setKey(Key key)
                throws JAXRException

  Throws:
    `JAXRException`

### setName

    public void setName(InternationalString name)
                 throws JAXRException

  Throws:
    `JAXRException`

### toXML

    public String toXML()
                 throws JAXRException

  Throws:
    `JAXRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.